## ucommon 6.1.10

=== debian/changelog ===
ucommon (6.1.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + iso cleaness.
    + Fix memory leak in DateTime ctor.
    + Fix utf8::count().
    + secure::erase() should be more secure.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage of autotools files.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Aug 2014 13:23:27 +0200

ucommon (6.1.9-2) unstable; urgency=medium

  * Modernize doxyfile during build, and use SVG images to save space
    (should work fine on Free browsers).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jul 2014 15:31:05 +0200

ucommon (6.1.9-1) experimental; urgency=medium

  * Claim compliance with Policy 3.9.5.
  * Fix use canonical anonscm.debian.org host in Vcs-Git URL.
  * Adjust CDBS hints to use current automake and autoconf.
    Build-depend on automake (not automake1.11).
    Tighten to build-depend versioned on cdbs.
  * Use CDBS hints to keep backup during build of upstream-shipped temp
    files (not local code: We need recent CDBS anyway for version-less
    autotools).
    Adjust comment to talk about copying (not moving) the files.
  * Handle new utility keywait and its man page, and mention in long
    description.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Extend coverage of packaging to include current year.
    + Update copyright info: Add copyright holder (same license).
  * Unfuzz patch 1000 with shortening quilt options.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Link against GnuTLS 2.8: Build-depend on libgnutls28-dev (not
    libgnutls-dev), and drop patch 1000 (introduced in 6.0.7-1.1).
    Closes: bug#754701. Thanks to Andreas Metzler.
  * Tighten build-dependency on d-shlibs to versions with
    libgnutls-deb0-28 quirk.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 19:17:41 +0200
