=== debian/control ===
Source: ucommon
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.123~),
 autotools-dev,
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper (>= 9~),
 dh-buildinfo,
 pkg-config,
 libgnutls28-dev,
 d-shlibs (>= 0.57~),
 graphviz
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.5
Section: net
Homepage: http://www.gnu.org/software/commoncpp/
Vcs-Git: git://anonscm.debian.org/collab-maint/ucommon.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git

Package: libucommon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libucommon6 (= ${binary:Version}),
 ${devlibs:Depends},
Recommends: pkg-config
Suggests: ucommon-doc
Description: lightweight C++ threading and sockets - development files
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the development headers and static libraries.

Package: libucommon6-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libucommon6 (= ${binary:Version})
Description: lightweight C++ threading and sockets - debugging symbols
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the debugging symbols.

Package: libucommon6
Section: libs
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: ucommon-utils
Description: lightweight C++ threading and sockets - shared libraries
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the shared libraries.

Package: ucommon-utils
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight C++ threading and sockets - utilities
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the following utilities included as part of the
 GNU uCommon C++ project:
  * args
  * car
  * keywait
  * mdsum
  * scrub
  * sockaddr
  * zerofill

Package: ucommon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: lightweight C++ threading and sockets - documentation
 GNU uCommon C++ is a lightweight library to facilitate using C++ design
 patterns even for very deeply embedded applications, such as for
 systems using uClibc along with POSIX threading support. For this
 reason, uCommon disables language features that consume memory or
 introduce runtime overhead. uCommon introduces some design patterns
 from Objective-C, such as reference counted objects, memory pools, and
 smart pointers.  uCommon introduces some new concepts for handling of
 thread locking and synchronization.
 .
 This package contains the API documentation.
