## ucommon 6.3.4

=== debian/changelog ===
ucommon (6.3.4-1ubuntu2) wily; urgency=medium

  * Tell d-shlibmove about our suffix.
  * BD on d-shlibs with a bugfix we need.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:57:23 +0100

ucommon (6.3.4-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:44:09 +0100

ucommon (6.3.4-1) unstable; urgency=medium

  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Update copyright info:
    + Fix adjust a Files section from plain GPL to GPL with exception.
    + Fix include License grant in License field (not separate License
      section) for GPL with exception.
    + Reference actual license as pseudo-field for GPL with exception:
      Yet another limitation of format 1.0.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Merge same-licensed Files sections.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Revert git packaging branch to master.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2015 21:51:27 -0500

ucommon (6.3.1-2) unstable; urgency=medium

  * Update copyright info: Extend coverage for myself.
  * Have -doc package symlink separately packaged jquery.
    (Build-)depend on libjs-jquery.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 13:21:33 +0200

ucommon (6.3.1-1) experimental; urgency=medium

  [ upstream ]
  * New release 6.3.1
    + Assing copyright to Cherokees of Idaho.
    + Introduce ucommon cmake hosted macros.
    + Simplify doxygen doc support.
    + Converge automake and cmake builds.
    + Make utils easier for source introspection.
    + Convert to cmake builds on debian.
    + Count for String::check should be size_t.
    + String bounds checking.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Extend coverage for upstream authors.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Apr 2015 13:09:00 +0200

ucommon (6.3.0-1) experimental; urgency=low

  [ upstream ]
  * New release 6.1.11
    + any addr and overloads in commoncpp.
    + cmake abi fix and other apple specific issues.
    + stream fixes, sflphone recommended changes, and other updates.
    + key protocol added.
    + cleaner build for binding without resolver.
    + cleanup and fixes for commoncpp peering...
    + UDPSocket: use ucommon::Socket::address.
    + Socket::address: add setAny(sockaddr*), setLoopback(sockaddr*).
  * New release 6.2.0
    + standardized cmake paths and stand-alone usages.
    + gnutls support in cmake.
    + unified openssl checks, even works for windows.
    + improved openssl support, new static crypto option.
    + pkgconfig usable in win32, other win32 fixes.
    + fixes for mac build & optional disable of utils.
    + upticked abi version to 7, should have happened with 10/11?
  * New release 6.2.1
    + datetime: fix const inconsistency.
    + fsys: cached error variable must be mutable.
    + replacment new/delete cannot be declared inline.
    + fix exception specifier clash for c++11.
  * New release 6.2.2
    + bumped gnutls to 3.0.0 or later...
    + lots of bug fixes and general cleanup.
    + socket endian issues and other things for ccrtp.
    + templated newp and freep handle management.
  * New release 6.2.3
    + a few socket fixes, mostly windows related...
  * New release 6.3.0
    + remove legacy cmodel support.
    + modernize library usage.
    + simplify autoconf and cmake.
    + introduce sysruntime...
    + cleanup memory operators....

  [ Jonas Smedegaard ]
  * Build transitional compatibility wrapper for Common C++.
  * Update copyright info: Add m4 files.
  * Strip bad pkg-config directives.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Dec 2014 05:38:40 +0100
