=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ucommon
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
  devscripts,
@@ -11,20 +12,21 @@
  dh-buildinfo,
  pkg-config,
  libgnutls28-dev,
- d-shlibs (>= 0.57~),
- graphviz
+ d-shlibs (>= 0.60ubuntu3~),
+ graphviz,
+ libjs-jquery
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: net
 Homepage: http://www.gnu.org/software/commoncpp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/ucommon.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ucommon.git
 
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libucommon6 (= ${binary:Version}),
+ libucommon7v5 (= ${binary:Version}),
  ${devlibs:Depends},
 Recommends: pkg-config
 Suggests: ucommon-doc
@@ -40,12 +42,14 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libucommon6-dbg
+Package: libucommon7v5-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libucommon6 (= ${binary:Version})
+ libucommon7v5 (= ${binary:Version})
+Conflicts: libucommon7-dbg
+Replaces: libucommon7-dbg
 Description: lightweight C++ threading and sockets - debugging symbols
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
@@ -58,12 +62,14 @@
  .
  This package contains the debugging symbols.
 
-Package: libucommon6
+Package: libucommon7v5
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Suggests: ucommon-utils
+Conflicts: libucommon7
+Replaces: libucommon7
 Description: lightweight C++ threading and sockets - shared libraries
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
