=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GNU uCommon C++
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,11 +16,14 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# This needs to run (and thus be declared) before CDBS includes
+# This needs to declared/run before including CDBS snippets
+stem = $(DEB_SOURCE_PACKAGE)
+major := $(shell grep ^LT_VERSION= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
+pkg-lib = lib$(stem)$(major)v5
 debian/control:: debian/control.in
 DEB_PHONY_RULES += debian/control.in
 debian/control.in::
-	sed -e 's/__LIBPKGNAME__/$(libpkgname)/g' <debian/control.in.in >debian/control.in
+	sed -e 's/__LIBPKGNAME__/$(pkg-lib)/g' <debian/control.in.in >debian/control.in
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
 DEB_AUTO_UPDATE_AUTOCONF = ,
@@ -33,16 +36,15 @@
 #include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-stem = ucommon
-major = $(shell grep ^LT_VERSION= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
+pkg-doc = $(stem)-doc
 libname = lib$(stem)
-libpkgname = lib$(stem)$(major)
 extralibnames = libusecure
 pkgconfigstems = $(stem)
 
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
 
-CDBS_BUILD_DEPENDS +=, pkg-config, libgnutls28-dev, d-shlibs (>= 0.57~), graphviz
+# Lower the d-shlibs BD back to >= 0.57~ - artificial bump to guarantee we have a bugfix in 0.60 fixed in ubuntu3
+CDBS_BUILD_DEPENDS +=, pkg-config, libgnutls28-dev, d-shlibs (>= 0.60ubuntu3~), graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -86,23 +88,32 @@
 # Build documentation only if doxy is available. See bug#632343
 common-build-indep:: debian/stamp-docs
 debian/stamp-docs:
-	[ ! -d /usr/share/doc/doxygen-latex ]  ||  $(DEB_MAKE_INVOKE) doxy
+	[ ! -d /usr/share/doc/doxygen-latex ] || $(DEB_MAKE_INVOKE) doxy
 	touch $@
 clean::
 	rm -f debian/stamp-docs
 
+# Strip bad pkg-config directives, and
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
-debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
+binary-post-install/$(pkg-lib):: debian/stamp-local-shlibs-$(libname)
+debian/stamp-local-shlibs-$(libname): binary-install/$(pkg-lib)
+	perl -i -pe 's/\s+-[fW]\S+//g' debian/tmp/usr/lib/pkgconfig/*.pc
 	d-shlibmove --commit \
 		--devunversioned \
 		--exclude-la \
 		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
+		--suffix v5 \
 		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
 		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@
 clean::
 	rm -f debian/stamp-local-shlibs-$(libname)
+
+# use separately packaged jquery
+CDBS_BUILD_DEPENDS +=, libjs-jquery
+CDBS_DEPENDS_$(pkg-doc) += , libjs-jquery
+DEB_DH_LINK_$(pkg-doc) = /usr/share/javascript/jquery/jquery.js \
+	/usr/share/doc/$(pkg-doc)/html/jquery.js
