## ucommon 6.4.4

=== debian/changelog ===
ucommon (6.4.4-2ubuntu1) xenial; urgency=medium

  * Hack around cdbs autoreconf issues.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 09:30:07 +0100

ucommon (6.4.4-2) unstable; urgency=medium

  * Re-release to unstable.
    Still closes: bug#791305. Thanks (also) to Simon McVittie.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Aug 2015 11:48:01 +0200

ucommon (6.4.4-1) experimental; urgency=medium

  [ upstream ]
  * New release 6.3.5
    + General code cleanup.
    + Some build fixes.
  * New release 6.3.6
    + Code cleanup.
    + Simulate option for scrub.
    + Set newline style for cmake genorated files.
  * New release 6.4.0
    + New typeref system for immutable atomic reference counted objects.
    + Heap management objects support moving heap through assignment.
    + Extended unit tests for typeref system.
    + Improved openbsd support.
    + Atomics enabled by default.
  * New release 6.4.1
    + Keyfile fixed constructor issue.
  * New release 6.4.2
    + Solaris related cmake fixes.
    + Cleanup of test build and osx fixes.
  * New release 6.4.3
    + Fix for broken windows setuid macro.
  * New release 6.4.4
    + Additional typeref operators.

  [ Jonas Smedegaard ]
  * Update copyright info: Use standard shortname LGPL-3+.
  * Rename library package for g++5 ABI transition.
    + Tighten build-dependency on d-shlibs.
    + Override lintian.
    Closes: bug#791305. Thanks to Matthias Klose.
  * Multiarch-enable library and development packages.
  * Fix have d-shlibs trigger by dev targets (not only lib targets).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Aug 2015 10:19:55 +0200
