=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ucommon
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
  devscripts,
@@ -12,8 +11,8 @@
  dh-buildinfo,
  pkg-config,
  libgnutls28-dev,
- d-shlibs (>= 0.60ubuntu3~),
  graphviz,
+ d-shlibs (>= 0.61~),
  libjs-jquery
 Build-Depends-Indep: doxygen-latex
 Standards-Version: 3.9.6
@@ -25,6 +24,7 @@
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
  libucommon7v5 (= ${binary:Version}),
  ${devlibs:Depends},
@@ -65,6 +65,7 @@
 Package: libucommon7v5
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Suggests: ucommon-utils
