=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,10 @@
 
 # This needs to declared/run before including CDBS snippets
 stem = $(DEB_SOURCE_PACKAGE)
+lib = lib$(stem)
 major := $(shell grep ^LT_VERSION= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
-pkg-lib = lib$(stem)$(major)v5
+# TODO: Drop v5 suffix when G++5 transition is over
+pkg-lib = $(lib)$(major)v5
 debian/control:: debian/control.in
 DEB_PHONY_RULES += debian/control.in
 debian/control.in::
@@ -29,22 +31,22 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
 DEB_AUTO_UPDATE_ACLOCAL = ,
-DEB_AUTO_UPDATE_AUTOMAKE = ,
+DEB_AUTO_UPDATE_AUTOMAKE = || automake --add-missing
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 #include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+pkg-dev = $(lib)-dev
 pkg-doc = $(stem)-doc
-libname = lib$(stem)
+pkg-bin = $(stem)-utils
 extralibnames = libusecure
 pkgconfigstems = $(stem)
 
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
 
-# Lower the d-shlibs BD back to >= 0.57~ - artificial bump to guarantee we have a bugfix in 0.60 fixed in ubuntu3
-CDBS_BUILD_DEPENDS +=, pkg-config, libgnutls28-dev, d-shlibs (>= 0.60ubuntu3~), graphviz
+CDBS_BUILD_DEPENDS +=, pkg-config, libgnutls28-dev, graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -57,13 +59,18 @@
 devutils += commoncpp-config
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
 
+# Multiarch quirk (see also other uses of that variable in this file)
+CDBS_PREDEPENDS_$(pkg-lib) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
+
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-atomics
 
-DEB_INSTALL_DOCS_$(stem)-doc += doc/html
-DEB_INSTALL_MANPAGES_$(libname)-dev = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devutils))
-DEB_INSTALL_MANPAGES_$(stem)-utils = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(utils))
-DEB_DH_INSTALL_ARGS_$(libname)-dev = --autodest $(patsubst %,usr/bin/%,$(devutils))
-DEB_DH_INSTALL_ARGS_$(stem)-utils = --autodest $(patsubst %,usr/bin/%,$(utils))
+DEB_INSTALL_DOCS_$(pkg-doc) += doc/html
+DEB_INSTALL_MANPAGES_$(pkg-dev) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devutils))
+DEB_INSTALL_MANPAGES_$(pkg-bin) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(utils))
+DEB_DH_INSTALL_ARGS_$(pkg-dev) = --autodest $(patsubst %,usr/bin/%,$(devutils))
+DEB_DH_INSTALL_ARGS_$(pkg-bin) = --autodest $(patsubst %,usr/bin/%,$(utils))
 
 # keep backup during build of upstream-shipped temp files
 DEB_UPSTREAM_CRUFT_COPY = Makefile.in $(patsubst %,%/Makefile.in,commoncpp corelib gnutls inc inc/commoncpp inc/ucommon nossl openssl test utils)
@@ -96,21 +103,30 @@
 # Strip bad pkg-config directives, and
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-binary-post-install/$(pkg-lib):: debian/stamp-local-shlibs-$(libname)
-debian/stamp-local-shlibs-$(libname): binary-install/$(pkg-lib)
-	perl -i -pe 's/\s+-[fW]\S+//g' debian/tmp/usr/lib/pkgconfig/*.pc
+#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
+#  * d-shlibs 0.61 required for --v5 option
+# TODO: Drop --v5 when G++5 transition is over
+CDBS_BUILD_DEPENDS +=, d-shlibs (>= 0.61~)
+binary-post-install/$(pkg-lib) binary-post-install/$(pkg-dev):: \
+ debian/stamp-local-shlibs-$(lib)
+debian/stamp-local-shlibs-$(lib): \
+ binary-install/$(pkg-lib) \
+ binary-install/$(pkg-dev)
+	perl -i -pe 's/\s+-[fW]\S+//g' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*.pc
 	d-shlibmove --commit \
+		--v5 \
 		--devunversioned \
 		--exclude-la \
+		--multiarch \
 		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		--suffix v5 \
-		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
-		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
-		debian/tmp/usr/lib/$(libname).so
+		$(patsubst %,--movedev debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/%.pc \
+		usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig,$(pkgconfigstems)) \
+		$(patsubst %,--extralib debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/%.so,$(extralibnames)) \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
 	touch $@
 clean::
-	rm -f debian/stamp-local-shlibs-$(libname)
+	rm -f debian/stamp-local-shlibs-$(lib)
 
 # use separately packaged jquery
 CDBS_BUILD_DEPENDS +=, libjs-jquery
